playervcr
Player utilities

Remote control of data logging and playback. More...

Remote control of data logging and playback.

Synopsis

playervcr is a GUI client that provides VCR-like control over the recording and playback of logfiles. It does this via the log interface of the writelog and readlog drivers, respectively.

playervcr requires GTK.

Usage

playervcr is installed alongside player in $prefix/bin, so if player is in your PATH, then playervcr should also be. Command-line usage is:

    $ playervcr [-h <host>] [-p <port>] [-i <index>]

Where the options are:

- -h <host> : connect to Player on this host (default: localhost)
- -p <port> : connect to Player at this port (default: 6665)
- -i <index> : connect to the log device with this index

To use playervcr, you must create a log device, such as "log:0", in your configuration file. Look at the docs for the writelog and readlog drivers for examples.

When playervcr starts, a single window containing a few self-explanatory buttons will pop up. The buttons will differ depending on whether the underlying driver reads from or writes to the log. When reading data, you can rewind, start, and stop; when writing data, you can start and stop.

Screenshots

Screenshot of playervcr controlling a writelog device
Screenshot of playervcr controlling a readlog device

Author
  Brian Gerkey

Last updated 12 September 2005 21:38:45